update changelog
[debian/teleschorsch.git] / qteleschorsch.pro
1 TEMPLATE = app
2
3 # Input
4 CONFIG += qt
5 CONFIG -= debug
6
7 FORMS += options.ui maindialog.ui maindialog_4.1.ui
8
9 # FORMS += options.ui
10 # qt_version = $$[QT_VERSION]
11 # lessThan (qt_version, 4.2) {
12 #       message(Compiling for Qt < 4.2)
13 #       FORMS += maindialog_4.1.ui
14 # } else {
15 #       message(Compiling for Qt = 4.2)
16 #       FORMS += maindialog.ui
17 # }
18
19 HEADERS += main.h options.h
20 SOURCES += main.cpp options.cpp
21 TRANSLATIONS = qteleschorsch_de.ts qteleschorsch_fr.ts
22 RESOURCES = qteleschorsch.qrc
23 # CONFIG += stl
24 PRE_TARGETDEPS = compiler_translation_make_all
25
26 translation.output  = ${QMAKE_FILE_BASE}.qm
27 translation.commands = lrelease ${QMAKE_FILE_NAME}
28 translation.input = TRANSLATIONS
29 translation.CONFIG = no_link
30 QMAKE_EXTRA_COMPILERS += translation
31
32 qt_version = $$[QT_VERSION]
33 lessThan (qt_version, 4.2) {
34         message(Compiling for QT < 4.2)
35         DEFINES += QT_4_1_COMPATIBLE
36         # QT_4_1_COMPATIBLE = QT_VERSION < 0x040200
37
38
39